#view-allocate {

  h2 {
    font-weight: 800;
  }

  .content {
    margin: 32px auto 16px;
  }

  #allocate-scanner-button {
    opacity: 0.3;
  }

  #allocate-overview {
    #allocate-headercontent {

      padding-top: 96px;
      padding-bottom: 96px;
      background-color: #103c2e;

      p {
        color: #d53f11;
        padding-bottom: 2em;
      }

      .pure-button {
        margin-left: 12px;
        margin-right: 12px;
        margin-bottom: 8px;
        margin-top: 4px;
        width: 180px !important;
      }

      .allocate-arrow-space {
        display: inline-block;
        @media (min-width: 456px) {
          width: 204px;
        }
      }

      @media (max-width: 456px) {
        .transaction-btns {
          padding-bottom: 2em;
          padding-top: 1em;
          margin-top: -1em;
          margin-bottom: 4.5em;
        }
      }

      .allocate-arrow-down {
        /* draw triangle down */
        width: 0;
        height: 0;
        border-top: 30px solid #FFF;
        border-left: 80px solid transparent;
        border-right: 80px solid transparent;
        display: inline-block;
        margin-bottom: -15px;
        opacity: 0.5;
      }

      .allocate-arrow-up {
        /* draw triangle up */
        width: 0;
        height: 0;
        border-bottom: 30px solid #FFF;
        border-left: 80px solid transparent;
        border-right: 80px solid transparent;
        display: inline-block;
        margin-top: -12px;
        opacity: 0.5;
      }

      #allocate-createAccount {
        width: 320px;
        margin: 20px auto;

        .spinner-loader {
          filter: brightness(300%);
          scale: 0.8;
          vertical-align: middle;
          margin-left: 3em;
          margin-right: 3em;
          margin-top: 4px;
          margin-bottom: 8px;
        }
      }

      .allocate-pair {
        background-color: #de698e;
        border-style: solid;
        border-color: purple;
        border-width: 1px;
        display: inline-block;
        margin: 12px 12px;
      }

      .allocate-balancecontainer {
        border-style: solid;
        border-width: 2px;
        text-align: center;
        background-color: rgba(255, 255, 255, 0.25);
        border-radius: 20px;
        padding: 12px;
        max-width: 650px;
        margin: auto;
        width: calc(100vw - 80px);
        background-size: 30px 30px;
        background-repeat: no-repeat;
        background-position: 50px center;
        font-size: 100%;

        @media (min-width: 700px) {
          font-size: 150%;
        }

        .spinner-loader {
          filter: brightness(300%);
          scale: 0.8;
          vertical-align: middle;
          margin-left: 3em;
          margin-right: 3em;
          margin-top: 4px;
          margin-bottom: 8px;
        }
      }

      #allocate-mainBalanceContainer {
        background-image: url("./svg/circle1.svg");
        border-color: #578fb8dd;
        box-shadow: #FFFFFF99 0px 3px 32px 10px;
        color: #FFF;
      }

      #allocate-allocationBalanceContainer {
        background-image: url("./svg/swap.svg");
        border-color: #a45797dd;
        box-shadow: #FFFFFF99 0px 3px 32px 10px;
        color: #FFF;
      }

      #allocate-securityBalanceContainer {
        background-image: url("./png/lock.png");
        border-color: #ffbb48dd;
        box-shadow: #FFFFFF99 0px 3px 32px 10px;
        color: #FFF;
      }

      #allocate-message {
        text-align: center;
        color: red;
        margin-top: 2em;
        margin-bottom: -2em;
      }

      #allocate-withdraw .icon,
      #allocate-transfer .icon,
      #allocate-securityReserve .icon,
      #allocate-securityExtract .icon,
      #allocate-createPair .icon {
        background-repeat: no-repeat;
        display: inline-block;
        margin-right: 8px;
        width: 20px;
        height: 20px;

        svg {
          width: 20px;
          height: 20px;
          margin-top: 4px;
          margin-bottom: -4px;

          path {
            fill: #fff !important;
          }
        }
      }

      #allocate-transfer .icon,
      #allocate-securityReserve .icon {
        background-image: url("./svg/receive.svg");
      }

      #allocate-withdraw .icon,
      #allocate-securityExtract .icon {
        background-image: url("./svg/send.svg");
      }

      #allocate-securityBalanceContainer[disabled],
      #allocate-allocationBalanceContainer[disabled],
      #allocate-mainBalanceContainer[disabled] {
        border-color: darkgrey;
        opacity: 0.5;
      }

    }
  }

  #allocate-reporting {
    background: #A5BDAA;
    margin-top: 0;
    padding-top: 2px;
    padding-bottom: 32px;
    margin-left: 10%;
    margin-right: 10%;
    border-radius: 0 0 32px 32px;
    filter: drop-shadow(0px 12px 24px #CCC);
    min-height: 130px;

    h2 {
      margin-top: 2em;
    }

    p {
      width: 80%;
      margin-left: auto;
      margin-right: auto;
      color: #333;
      min-width: 200px;
      margin-bottom: 32px;
    }
  }

  #allocate-portfolio {
    h2 {
      margin-top: 2.5em;
    }
  }

  //
  // Buttons
  //

  .allocate-manage-button {
    cursor: pointer;
  }

  #allocate-transfer-buttons, #allocate-security-buttons {
    height: 120px;
    opacity: 1;
    transition-duration: 2000ms;
  }

  #allocate-reporting-edit {
    padding: 9px 40px 9px 12px;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    text-align: left;
    border-style: solid;
    border-width: 1px;
    border-radius: 8px;
    margin: 5px;
    display: inline-block;
    background-color: #dceeef;
    border-color: rgba(0, 0, 0, 0);
    min-height: 40px;
    pointer: cursor;
    background-image: url('./svg/contacts-edit.svg');
    background-position: right 10px top 9px;
    min-width: 200px;
    text-align: center;
  }

  #allocate-reporting-edit:hover {
    background-color: #edf5fb;
    cursor: pointer;
  }

  #allocate-createPair {
    width: 50%;
    margin-bottom: 8em;

    .icon {
      background-image: url("./svg/plus.svg");
      filter: brightness(200%) saturate(0);
      width: 18px;
      height: 18px;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      vertical-align: middle;
      display: inline-block;
      margin: -4px 18px 0 2px;
    }
  }

  #allocate-pairs {
    margin-top: 3em;
    margin-bottom: 5em;
    .pure-button {
      color: #242424;
      border: 1px solid #979796;
      margin: 6px;
      width: 200px;
      filter: drop-shadow(0px 12px 24px #CCC);
    }
    .pure-button:hover {
      filter: brightness(112%);
    }
    .allocate-crypto {
      background: #90c888;
      background: -webkit-linear-gradient(to right, #90c888, #f0ecf4, #e1a188);
      background: linear-gradient(to right, #90c888, #f0ecf4, #e1a188);
    }

    .allocate-fiat {
      background: #d0c95e;
      background: -webkit-linear-gradient(to right, #d0c95e, #f0ecf4, #e1a188);
      background: linear-gradient(to right, #d0c95e, #f0ecf4, #e1a188);
    }
  }
}
